# Getapp

Update product inventory of SaaS products from several sources. Each source provides its content to us in a different format. Below is the command line script used to import the products from different sources.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'getapp'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install getapp

## Usage

    getapp_import capterra feed-products/capterra.yaml
    
        importing: Name: "GitHub";  Categories: Bugs & Issue Tracking, Development Tools; Twitter: @github
        importing: Name: "Slack"; Categories: Instant Messaging & Chat, Web Collaboration, Productivity; Twitter: @slackhq
        ...
    
    getapp_import softwareadvice feed-products/softwareadvice.json

Currently, supported products imports from capterra and softwareadvice.

Sample files can be found at under test/assets/feed-products

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/erprincebansal/getapp. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/erprincebansal/getapp/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Getapp project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/erprincebansal/getapp/blob/master/CODE_OF_CONDUCT.md).
